Subject: Re: 2.6.23-rc8-mm2 BUG: register_netdevice() issue as (ab)used by ISDN

From: Jeff Garzik <[email-masked]>
Date: Sun, 07 Oct 2007 08:24:45 -0400

Andreas Mohr wrote:
> I intend to still try to get it up and running with 2.6.23-rc8-mm2 today
> (with some workarounds hopefully, maybe even disabling ISDN completely)...
> 
> The last running kernel (I didn't have newer ones in between), up for some 110
> days was 2.6.19-cks2 (IOW, I cannot quite say that
> "this is an important regression, it has been broken very recently").

It definitely looks like ISDN is somehow to blame.  Any chance you could 
try git://git.kernel.org/pub/scm/linux/kernel/git/davem/net-2.6.24.git ?

That would help narrow down the problem to a very-large set of 
networking changes pending for 2.6.24.

If you can isolate it to net-2.6.24, it should be easily bisect-able 
from there, if you have the patience :)

	Jeff